Public Member Functions | Private Attributes | List of all members
libebook::FB2Style Class Reference

`#include <FB2Style.h>`

## Public Member Functions
| FB2Style (const FB2BlockFormat &blockFormat)
FB2TextFormat & | getTextFormat ()
const FB2TextFormat & | getTextFormat () const
const FB2BlockFormat & | getBlockFormat () const

## Private Attributes
FB2TextFormat | m_textFormat
const FB2BlockFormat | m_blockFormat

## Constructor & Destructor Documentation

## § FB2Style()

libebook::FB2Style::FB2Style | ( | const FB2BlockFormat & | blockFormat | ) |
| explicit

## Member Function Documentation

## § getBlockFormat()

const FB2BlockFormat & libebook::FB2Style::getBlockFormat | ( |  | ) | const

Referenced by libebook::makePropertyList(), and libebook::FB2ContentCollector::openSpan().

## § getTextFormat() [1/2]

FB2TextFormat & libebook::FB2Style::getTextFormat | ( |  | ) |

Referenced by libebook::FB2StyleContextBase::attribute(), libebook::FB2StyleContextBase::getTextFormat(), libebook::makePropertyList(), and libebook::FB2ContentCollector::openSpan().

## § getTextFormat() [2/2]

const FB2TextFormat & libebook::FB2Style::getTextFormat | ( |  | ) | const

## Member Data Documentation

## § m_blockFormat

const FB2BlockFormat libebook::FB2Style::m_blockFormat
| private

Referenced by getBlockFormat().

## § m_textFormat

FB2TextFormat libebook::FB2Style::m_textFormat
| private

Referenced by getTextFormat().

The documentation for this class was generated from the following files:

- FB2Style.h
- FB2Style.cpp